# ===================================================================
# Spring Cloud Config bootstrap configuration for the "dev" profile
# In dev profile, properties will be overwritten by the ones defined in application-dev.yml
# ===================================================================
server:
  port: 9211
  servlet:
    context-path:
spring:
  application:
    name: jeeplus-auth # 应用名称
  boot:
    admin:
      client:
        url: http://localhost:8989
  profiles:
    active: pro # 环境配置
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848 # 服务注册地址
        # 命名空间
        namespace: ${spring.profiles.active}
        ip: 127.0.0.1
        username: nacos
        password: jsxgpassword
      config:
        server-addr: 127.0.0.1:8848  # 配置中心地址
        file-extension: yml  # 配置文件格式
        shared-configs:  # 共享配置
          - application.${spring.cloud.nacos.config.file-extension}
        # 命名空间
        namespace: ${spring.profiles.active}
        username: ${spring.cloud.nacos.discovery.username}
        password: ${spring.cloud.nacos.discovery.password}
      auth:
        plugin:
          nacos:
            token:
              secret:
                key: cCtJSWRxbW1xT3FmZkh1RTBpdTltYkM5ZlNSaTRyQ1RiSzJzV1pweEYycz0=
    sentinel:
      transport:
        dashboard: 127.0.0.1:8858
#ribbon的超时时间
ribbon:
  # read-timeout: 60000  失效参数
  # connect-timeout: 60000  失效参数
  ReadTimeout: 600000
  ConnectTimeout: 600000

hystrix:
  command:
    default:
      execution:
        isolation:
          thread:
            timeoutInMillisecond: 60000 # 熔断超时时长：60000ms
management:
  endpoints:
    web:
      exposure:
        include: "*"
